// Required
@import "breakpoints";
@import "spacers";
$primary: #1eb5d8;
$secondary: #595959;
$lightGray: #c1c1c9;
$bodyBg: #eef3fb;
$orange: #ffa974;
$green: #71c3a8;
$red: #ff2f33;
$primaryGradient: linear-gradient(45deg, #1eb5d8, #8feaff);
$greenGradient: linear-gradient(45deg, #71c3a8, #95ffdc);
@mixin lineNum($num) {
	overflow: hidden;
	text-overflow: ellipsis;
	display: -webkit-box;
	-webkit-line-clamp: $num;
	-webkit-box-orient: vertical;
}
body {
	background: $bodyBg;
	color: $secondary;
	font-family: "Roboto", sans-serif;
	overflow-x: hidden;
	&::-webkit-scrollbar {
		width: 8px;
	}
	&::-webkit-scrollbar-thumb {
		background-color: $lightGray;
	}
}
.container-fluid {
	@include respond-above(lg) {
		padding-right: 30px;
	}
}
a,
button {
	transition: 0.3s all ease-in-out;
	&:focus {
		box-shadow: none;
	}
}
a {
	text-decoration: none;
	transition: 0.3s all ease-in-out;
}

svg {
	path,
	circle,
	rect {
		transition: 0.3s all ease-in-out;
	}
}
hr {
	background: #ddd;
}
.text-primary {
	color: $primary !important;
}
.text-secondary {
	color: $secondary !important;
}
.btn__custom {
	padding: 10px 25px;
	border-radius: 6px;
	background: $primary;
	color: #fff;
	border: none;
	&.btn__green {
		background: $green;
		&:hover {
			background: darken($color: $green, $amount: 15);
		}
	}
	&.disabled {
		background: $lightGray;
		cursor: no-drop;
	}
	@include respond-below(md) {
		padding: 10px 15px;
		font-size: 14px;
	}
	&:hover {
		background: darken($color: $primary, $amount: 15);
		color: #fff;
	}
}
.btn-outline {
	padding: 10px 25px;
	border-radius: 6px;
	background: $bodyBg;
	color: $primary;
	border: 1px solid $primary;
	&:hover {
		background: $primary;
		color: #fff;
	}
}
.svg {
	display: none;
}
.form-control {
	padding: 15px 20px;
	background: $bodyBg;
	border: 1px solid #ddd;
	border-radius: 6px;
	color: $secondary;
	box-shadow: none;
	-webkit-appearance: none;
	@include respond-below(md) {
		font-size: 14px;
	}
	&::placeholder {
		font-family: "Roboto", sans-serif;
		color: $lightGray;
	}
	&:focus {
		border-color: $primary !important;
		outline: none;
		box-shadow: none;
		background: $bodyBg;
	}
}

select {
	&.form-control {
		-webkit-appearance: none !important;
		-moz-appearance: none !important;
		background-color: $bodyBg;
		background-image: url("../images/icons/arrow-select.svg") !important;
		background-repeat: no-repeat !important;
		background-position-x: 97% !important;
		background-position-y: 26px !important;
	}
}

.form-group {
	margin-bottom: 30px;
	@include respond-below(md) {
		margin-bottom: 20px;
	}
	label {
		margin-bottom: 10px;
		@include respond-below(md) {
			font-size: 14px;
		}
	}
}

.wrapper {
	overflow-x: hidden;
}
.header {
	.search {
		position: relative;
		.form-control {
			border-color: #fff;
			background: #fff;
			&:focus {
				box-shadow: 0 0 10px rgba($color: #000000, $alpha: 0.1);
			}
		}
		.btn__custom {
			padding: 10px 14px;
			border-radius: 6px;
			position: absolute;
			top: 5px;
			right: 5px;
		}
	}
	.btn-outline {
		padding: 2px 20px;
		line-height: 47px;
	}
	.dropdown {
		.dropdown-toggle {
			text-align: left;
			&::after {
				position: absolute;
				top: 15px;
				right: 10px;
				content: "\f107";
				font-family: "Font Awesome 5 Free";
				font-weight: 900;
				border: none;
				color: $secondary;
				transition: 0.3s all ease-in-out;
			}
			&.btn__custom {
				padding: 2px 40px 2px 20px;
				color: $secondary;
				background: #fff;
				box-shadow: 0 0 5px rgba($color: #000000, $alpha: 0.1);
				@include respond-below(md) {
					font-size: 14px;
					padding: 2px 20px 2px 10px;
				}
			}
			&.show {
				&::after {
					content: "\f106";
				}
			}
			.price {
				font-size: 14px;
				@include respond-below(md) {
					font-size: 12px;
				}
			}
		}
	}
	.btn__side__menu {
		border-radius: 50%;
		background: #fff;
		width: 45px;
		height: 45px;
		border: none;
		display: flex;
		align-items: center;
		justify-content: center;
		box-shadow: 0 0 10px rgba($color: #000000, $alpha: 0.1);
		@include respond-below(md) {
			width: 35px;
			height: 35px;
		}
		img {
			width: 18px;
			height: 18px;
			@include respond-below(md) {
				width: 15px;
				height: 15px;
			}
		}
	}
	.side__menu__left {
		max-width: 70px;
	}
	.btn__sm__icon {
		width: 45px;
		height: 45px;
		border-radius: 50%;
		background: $primary;
		box-shadow: 0 0 10px rgba($color: #000000, $alpha: 0.1);
		margin-right: 10px;
		@include respond-below(md) {
			width: 35px;
			height: 35px;
		}
		&.btn__sm__video {
			background: $green;
			&.disabled {
				background: $lightGray;
				cursor: no-drop;
			}
		}
		svg {
			width: 20px;
			height: 20px;
			@include respond-below(md) {
				width: 15px;
				height: 15px;
			}
			path {
				fill: #fff;
			}
		}
	}
}

.dropdown-menu {
	border-radius: 6px;
	box-shadow: 0 3px 15px rgba($color: #000000, $alpha: 0.1);
	padding: 5px 10px;
	border: none;
	a {
		padding: 5px;
		border-radius: 6px;
		color: $secondary;
		@include respond-below(md) {
			font-size: 14px;
		}
		&:hover {
			background: rgba($color: $primary, $alpha: 0.1);
			color: $primary;
		}
	}
	hr {
		margin: 5px 0;
	}
}

.overlay__menu {
	position: fixed;
	top: 0;
	left: 0;
	height: 100%;
	width: 100%;
	display: none;
	background: rgba($color: $secondary, $alpha: 0.5);
	backdrop-filter: blur(0.5rem);
	will-change: backdrop-filter;
	z-index: 9;
}

.side__menu {
	position: fixed;
	top: 0;
	left: 0;
	height: 100%;
	min-height: 100vh;
	overflow-y: auto;
	max-width: 363px;
	width: 100%;
	background: #fff;
	border-top-right-radius: 25px;
	border-bottom-right-radius: 25px;
	box-shadow: 3px 0 20px rgba($color: #000000, $alpha: 0.1);
	padding: 50px 30px 100px;
	overflow-x: hidden;
	z-index: 10;
	@media (min-width: 1200px) and (max-width: 1300px) {
		padding: 25px 25px 80px;
		max-width: 293px;
	}
	@include respond-below(xl) {
		display: none;
		max-width: 300px;
		border-top-right-radius: 0;
		border-bottom-right-radius: 0;
	}
	@include respond-below(md) {
		padding: 20px 15px 80px;
	}
	&::-webkit-scrollbar {
		width: 5px;
	}
	&::-webkit-scrollbar-thumb {
		background-color: transparent;
	}
	&:hover {
		&::-webkit-scrollbar-thumb {
			opacity: 1;
			background: $lightGray;
		}
	}
	.profile {
		.img {
			img {
				max-width: 110px;
				max-height: 110px;
				width: 100%;
				height: 100%;
				border: 2px solid $primary;
				border-radius: 50%;
				@include respond-below(md) {
					max-width: 90px;
					max-height: 90px;
				}
			}
		}

		.name {
			@include respond-below(md) {
				font-size: 14px;
			}
			.fw-bold {
				font-size: 18px;
				@include respond-below(md) {
					font-size: 16px;
				}
			}
		}
	}

	.main__links {
		li {
			&:not(:last-child) {
				margin-bottom: 10px;
			}

			a {
				background: #fff;
				color: $secondary;
				border-radius: 6px;
				display: block;
				position: relative;
				&.completed {
					&::after {
						content: url(../images/icons/completed.svg);
						position: absolute;
						right: 15px;
						top: 50%;
						transform: translate(0, -50%);
						width: 26px;
						height: 26px;
						@include respond-below(md) {
							transform: translate(0, -50%) scale(0.8);
						}
					}
				}
				&.not__completed {
					&::after {
						content: url(../images/icons/not-completed.svg);
						position: absolute;
						right: 15px;
						top: 50%;
						transform: translate(0, -50%);
						width: 26px;
						height: 26px;
						@include respond-below(md) {
							transform: translate(0, -50%) scale(0.8);
						}
					}
				}
				span {
					&:not(.icon) {
						margin-top: 2px;
						@include respond-below(md) {
							font-size: 14px;
						}
					}
				}
				img {
					width: 16px;
				}
				svg {
					width: 18px;
					height: auto;
					@include respond-below(md) {
						width: 15px;
					}
					path {
						fill: #fff;
						stroke: $secondary;
					}

					.life-saver {
						.outline {
							path {
								stroke: $secondary;
								fill: #fff;
								stroke-width: 10px;
							}
						}
						.inline {
							path {
								stroke: #fff;
								fill: $secondary;
							}
						}
					}
					.account {
						width: 16px;
						path {
							stroke: transparent;
							fill: $secondary;

							&.Path_239 {
								fill: transparent;
							}
						}
					}
					.about,
					.technical-support {
						width: 14px;
						path {
							stroke: transparent;
							fill: $secondary;
						}
					}
					.technical-support {
						width: 14px;
						path {
							stroke: transparent;
							fill: $secondary;
						}
						circle {
							fill: #fff;
						}
					}
					.profilePage {
						width: 14px;
					}
					.profile {
						width: 17px;
						path {
							stroke: transparent;
							fill: $secondary;
						}
						rect {
							fill: #fff;
						}
					}
					.money {
						path {
							stroke: transparent;
							fill: $secondary;
						}
					}
					.block {
						path {
							stroke: transparent;
							fill: $secondary;
						}
						circle {
							fill: #fff;
						}
					}

					.invoices {
						width: 16px;
						@include respond-below(md) {
							width: 14px;
						}
						path {
							stroke: transparent;
							&:not(.Path_241) {
								fill: $secondary;
							}
						}
					}
					.change-email {
						path {
							fill: $secondary;
							stroke: transparent;
							&.Path_237 {
								fill: #fff;
							}
						}
					}
					.change-password {
						width: 15px;

						path {
							fill: $secondary;
							stroke: transparent;
							&.Path_237 {
								fill: #fff;
							}
						}
					}
					.gallery {
						path {
							stroke: transparent;
							fill: $secondary;
						}
					}
					.languages {
						path {
							stroke: transparent;
							fill: $secondary;
						}
						circle {
							stroke: transparent;
						}
					}
					.social {
						path {
							stroke: transparent;
							fill: $secondary;
						}
						circle {
							stroke: transparent;
						}
					}
					.switchAcc {
						path {
							stroke: $secondary;
							fill: $secondary;
						}
						circle {
							stroke: transparent;
						}
					}
					.hobbies {
						path {
							stroke: transparent;
							fill: $secondary;
							&.Path_245 {
								fill: #fff;
							}
						}
					}
				}
			}

			&.active {
				a {
					background: $primary;
					color: #fff;

					svg {
						path {
							fill: #fff;
							stroke: $primary;
						}
						.life-saver {
							.outline {
								path {
									stroke: #fff;
									fill: $primary;
								}
							}
							.inline {
								path {
									stroke: #fff;
									fill: #fff;
								}
							}
						}
						.account {
							width: 16px;
							path {
								stroke: transparent;
								fill: #fff;

								&.Path_239 {
									fill: #fff;
								}
							}
						}

						.about {
							path {
								stroke: transparent;
								fill: $primary;
							}
						}

						.technical-support {
							path {
								stroke: transparent;
								fill: $primary;
							}
							circle {
								fill: #fff;
							}
						}
						.profile {
							path {
								stroke: transparent;
								fill: $primary;
							}
							rect {
								fill: #fff;
							}
						}
						.money {
							path {
								stroke: transparent;
								fill: $primary;
							}
						}
						.invoices {
							path {
								stroke: transparent;
								&:not(.Path_241) {
									fill: $primary;
								}
							}
						}
						.change-email {
							path {
								fill: $primary;
								stroke: transparent;
								&.Path_237 {
									fill: #fff;
								}
							}
						}
						.change-password {
							path {
								fill: $primary;
								stroke: transparent;
								&.Path_237 {
									fill: #fff;
								}
							}
						}

						.block {
							path {
								stroke: transparent;
								fill: $primary;
							}
							circle {
								fill: #fff;
							}
						}
						.gallery {
							path {
								stroke: transparent;
								fill: $primary;
								&.Path_237 {
									fill: #fff;
								}
							}
							rect {
								fill: #fff;
							}
						}

						.hobbies {
							path {
								stroke: transparent;
								fill: #fff;
								&.Path_245 {
									fill: #fff;
								}
								&.Path_238 {
									fill: $primary;
								}
							}
						}

						.languages {
							path {
								stroke: transparent;
								fill: $primary;
							}
							circle {
								stroke: transparent;
							}
						}
						.social {
							path {
								stroke: transparent;
								fill: #fff;
							}
							circle {
								stroke: transparent;
							}
						}

						.switchAcc {
							path {
								stroke: $primary;
								fill: $primary;
							}
							circle {
								stroke: #fff;
							}
						}
					}
				}
			}

			&:hover:not(.active) {
				a {
					&:hover {
						color: $primary;

						svg {
							path {
								stroke: $primary;
							}
							.life-saver {
								.outline {
									path {
										stroke: $primary;
										fill: #fff;
									}
								}
								.inline {
									path {
										stroke: #fff;
										fill: $primary;
									}
								}
							}
							.account {
								path {
									fill: $primary;
									stroke: transparent;
									&.Path_239 {
										fill: #fff;
									}
								}

								circle {
									fill: #fff;
								}
							}
							.profile {
								path {
									stroke: transparent;
									fill: $primary;
								}
								rect {
									fill: #fff;
								}
							}

							.about {
								path {
									stroke: transparent;
									fill: $primary;
								}
							}
							.technical-support {
								path {
									stroke: transparent;
									fill: $primary;
								}
								circle {
									fill: #fff;
								}
							}
							.money {
								path {
									fill: $primary;
									stroke: transparent;
								}
							}

							.block {
								path {
									stroke: transparent;
									fill: $primary;
								}
								circle {
									fill: #fff;
								}
							}
							.invoices {
								path {
									stroke: transparent;
									&:not(.Path_241) {
										fill: $primary;
									}
								}
							}
							.change-email {
								path {
									fill: $primary;
									stroke: transparent;
									&.Path_237 {
										fill: #fff;
									}
								}
							}

							.change-password {
								width: 15px;
								path {
									fill: $primary;
									stroke: transparent;
									&.Path_237 {
										fill: #fff;
									}
								}
							}

							.gallery {
								path {
									stroke: transparent;
									fill: $primary;
								}
							}

							.hobbies {
								path {
									stroke: transparent;
									fill: $primary;
									&.Path_245 {
										fill: #fff;
									}
								}
							}

							.languages {
								path {
									stroke: transparent;
									fill: $primary;
								}
								circle {
									stroke: transparent;
								}
							}
							.social {
								path {
									stroke: transparent;
									fill: $primary;
								}
								circle {
									stroke: transparent;
								}
							}

							.switchAcc {
								path {
									stroke: $primary;
									fill: $primary;
								}
								circle {
									stroke: transparent;
								}
							}
						}
					}
				}
			}
			&.logout {
				a {
					color: $red;
				}
				&:hover {
					a {
						color: $red !important;
					}
				}
			}
		}
	}
}

.content__page {
	max-width: calc(100% - 393px);
	margin-left: auto;
	margin-right: 0;
	@media (min-width: 1200px) and (max-width: 1300px) {
		max-width: calc(100% - 310px);
	}
	@include respond-below(xl) {
		max-width: 100%;
	}
	.heading {
		h1,
		h2 {
			font-size: 25px;
			@include respond-below(xl) {
				font-size: 22px;
			}
			@include respond-below(md) {
				font-size: 20px;
			}
		}
	}
	.available__balance {
		background: $primaryGradient;
		border-radius: 12px;
		position: relative;
		box-shadow: 0 0 15px rgba($color: #000000, $alpha: 0.1);
		overflow: hidden;
		&.stripe__balance {
			background: linear-gradient(45deg, #5384ce, #72aaff);
		}
		&.paypal__balance {
			background: $greenGradient;
		}
		&::before {
			content: url(../images/opacity-logo.png);
			position: absolute;
			top: 30px;
			right: 30px;
			z-index: 1;
			width: 100%;
			height: 100%;
			text-align: right;
			pointer-events: none;
		}

		& > div {
			position: relative;
			min-height: 200px;
			z-index: 3;
			@include respond-below(lg) {
				min-height: 130px;
			}
		}

		.title {
			font-size: 18px;
			@include respond-below(md) {
				font-size: 16px;
			}
		}

		.price {
			font-size: 35px;
			@include respond-below(lg) {
				font-size: 25px;
			}
		}

		.btn__custom {
			padding: 10px 25px;
			color: $primary;
			background: #fff;
			border-top-right-radius: 0;
			border-bottom-right-radius: 12px;
			border-top-left-radius: 12px;
			border-bottom-left-radius: 0;
			border: 1px solid #fff;
			@include respond-below(md) {
				padding: 5px 20px;
				font-size: 14px;
			}
		}

		img {
			object-fit: contain;
			width: 90px;
			height: 50px;
			@include respond-below(lg) {
				margin-right: 10px;
			}
		}
	}
	.card {
		background: #fff;
		border-radius: 12px;
		box-shadow: 0 0 15px rgba($color: #000000, $alpha: 0.1);
		border: none;

		.title {
			font-size: 18px;
			@include respond-below(md) {
				font-size: 16px;
			}
		}
	}
	.call__history {
		.history__list {
			max-height: 450px;
			overflow-y: auto;
			overflow-x: hidden;
			&::-webkit-scrollbar {
				width: 3px;
			}
			&::-webkit-scrollbar-thumb {
				background-color: transparent;
			}
			&:hover {
				&::-webkit-scrollbar-thumb {
					opacity: 1;
					background: $lightGray;
				}
			}
		}
		.history__item {
			transition: 0.3s all ease-in-out;
			border-radius: 20px;

			.profile {
				.img {
					img {
						max-width: 69px;
						max-height: 69px;
						border: 1px solid $primary;
						border-radius: 50%;
						@include respond-below(md) {
							max-width: 50px;
							max-height: 50px;
						}
					}
				}

				.name__tags {
					.tags {
						display: flex;
						flex-wrap: wrap;

						span {
							font-size: 12.5px;
							border-radius: 50px;
							background: linear-gradient(45deg, #5384ce, #72aaff);
							display: inline-block;
							margin-right: 5px;
							color: #fff;
							padding: 2px 4px;
							margin-top: 4px;
						}

						.see__more {
							margin-top: 4px;
							font-size: 14px;
							color: #fff;
							padding: 2px 4px;
							border-radius: 50px;
							background: $lightGray;
						}
					}
				}
			}

			.actions {
				a {
					width: 37px;
					height: 37px;
					display: flex;
					align-items: center;
					justify-content: center;
					box-shadow: 0 3px 15px rgba($color: #000000, $alpha: 0.1);
					border-radius: 50%;
					margin-left: 10px;

					img {
						width: 15px;
						height: auto;
					}

					&.info {
						background: $primary;
						.info {
							width: 37px;
							height: 37px;
							display: flex;
							align-items: center;
							justify-content: center;
						}
					}

					&.email {
						background: $orange;
					}

					&.video {
						background: $green;
						&.disabled {
							background: $lightGray;
							cursor: no-drop;
						}
					}

					&:hover {
						transform: translateY(-3px);
					}
				}
			}

			&:hover {
				background: $bodyBg;
			}
		}
	}
	.online__friends {
		position: relative;
		padding-bottom: 90px !important;
		.title {
			padding-left: 12px;
			position: relative;

			&::before {
				content: "";
				position: absolute;
				width: 6px;
				height: 6px;
				left: 0;
				top: 10px;
				background: $green;
				border-radius: 50%;
			}
		}

		.friends__list {
			overflow-y: auto;
			overflow-x: hidden;
			max-height: 711px;
			padding-right: 0.5rem;
			transition: 0.3s all ease-in-out;
			@include respond-below(lg) {
				max-height: 639px;
			}
			@include respond-below(md) {
				max-height: 450px;
			}
			&::-webkit-scrollbar {
				width: 2px;
			}
			&::-webkit-scrollbar-thumb {
				background-color: transparent;
			}
			&:hover {
				&::-webkit-scrollbar-thumb {
					opacity: 1;
					background: $lightGray;
				}
			}
			.friend__item {
				transition: 0.3s all ease-in-out;
				border-bottom: 1px solid rgba($color: #ddd, $alpha: 0.5);
				color: $secondary;
				position: relative;
				&::after {
					content: "\f105";
					position: absolute;
					top: 50%;
					right: 0;
					transform: translate(0, -50%);
					text-align: right;
					width: 32px;
					height: 32px;
					border-radius: 50%;
					display: flex;
					align-items: center;
					justify-content: center;
					box-shadow: 0 0 10px rgba($color: #000000, $alpha: 0.1);
					background: $bodyBg;
					font-family: "Font Awesome 5 Free";
					font-weight: 900;
					line-height: 0;
					transition: 0.3s all ease-in-out;
				}
				.profile {
					.img {
						img {
							max-width: 48px;
							max-height: 48px;
							border: 1px solid $primary;
							border-radius: 50%;
						}
					}

					.name__tags {
						.tags {
							display: flex;
							flex-wrap: wrap;

							span {
								font-size: 12.5px;
								border-radius: 50px;
								background: linear-gradient(45deg, #5384ce, #72aaff);
								display: inline-block;
								margin-right: 5px;
								color: #fff;
								padding: 2px 4px;
								margin-top: 4px;
							}

							.see__more {
								margin-top: 4px;
								font-size: 12px;
								color: #fff;
								padding: 2px 4px;
								border-radius: 50px;
								background: $lightGray;
							}
						}
					}
				}
				&:hover {
					&::after {
						right: -2px;
						background: $primary;
						color: #fff;
					}
				}
			}
		}

		.btn__custom {
			position: absolute;
			bottom: 0;
			left: 50%;
			transform: translate(-50%, 0);
			margin: 20px 0;
			width: calc(100% - 40px);
		}
	}
	.form {
		.form-group {
			.form-control {
				background: $bodyBg;
				color: $lightGray;
				&:focus {
					color: $secondary;
				}
			}
		}
	}
	.prices__button {
		.price__item {
			padding: 5px 25px;
			color: #fff;
			border-radius: 50px;
			border: none;
			background: $greenGradient;
			margin-top: 10px;
			&:not(:last-child) {
				margin-right: 10px;
			}
			&:hover {
				box-shadow: 0 0px 10px rgba($color: #000000, $alpha: 0.1);
				transform: translateY(-2px);
			}
		}
	}
	.note {
		border-radius: 6px;
		background: #ddd;
		.note__icon {
			margin-top: 5px;
		}
	}
	.invoices__list {
		@include respond-below(md) {
			font-size: 14px;
		}
		li {
			border-radius: 6px;
			background: #fff;
			padding: 15px;
			box-shadow: 0 0 10px rgba($color: #000000, $alpha: 0.1);
			&:first-child {
				background: #fafafa;
			}
			&:not(:last-child) {
				margin-bottom: 10px;
			}
		}
		.status {
			padding: 4px 10px;
			border-radius: 4px;
			&.paid {
				color: $green;
				background: lighten($color: $green, $amount: 30);
			}
			&.reject {
				color: $red;
				background: lighten($color: $red, $amount: 30);
			}
			&.pending {
				color: #ecbe4a;
				background: lighten($color: #ecbe4a, $amount: 30);
			}
		}
		.btn-secondary {
			padding: 4px 10px;
			border-radius: 4px;
			background: $lightGray;
			&:hover {
				background: darken($color: $lightGray, $amount: 20);
			}
		}
	}

	.block__list {
		@include respond-below(md) {
			font-size: 14px;
		}
		li {
			border-radius: 6px;
			background: #fff;
			padding: 15px;
			box-shadow: 0 0 10px rgba($color: #000000, $alpha: 0.1);
			&:first-child {
				background: #fafafa;
			}
			&:not(:last-child) {
				margin-bottom: 10px;
			}
			.profile {
				.img {
					img {
						max-width: 48px;
						max-height: 48px;
						border: 1px solid $primary;
						border-radius: 50%;
						@include respond-below(md) {
							max-width: 55px;
							max-height: 55px;
						}
					}
				}
			}
		}
	}
	.accordion-item {
		border-radius: 6px;
		box-shadow: 0 0 10px rgba($color: #000000, $alpha: 0.1);
		overflow: hidden;
		&:not(:last-child) {
			margin-bottom: 10px;
		}
		.accordion-button {
			color: $secondary;
			@include respond-below(md) {
				align-items: flex-start;
			}
			&:not(.collapsed) {
				background: #fff;
				box-shadow: none;
				color: $secondary;
				&::after {
					background-image: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 16 16' fill='%23212529'%3e%3cpath fill-rule='evenodd' d='M1.646 4.646a.5.5 0 0 1 .708 0L8 10.293l5.646-5.647a.5.5 0 0 1 .708.708l-6 6a.5.5 0 0 1-.708 0l-6-6a.5.5 0 0 1 0-.708z'/%3e%3c/svg%3e");
				}
			}
			&::after {
				width: 37px;
				height: 37px;
				background-color: $bodyBg;
				box-shadow: 0 0 10px rgba($color: #000000, $alpha: 0.1);
				display: flex;
				justify-content: center;
				align-items: center;
				border-radius: 50%;
				background-position: 8px;
				@include respond-below(md) {
					width: 25px;
					height: 25px;
					background-size: 12px;
					background-position: 6px;
				}
			}
			.profile {
				.img {
					img {
						max-width: 48px;
						max-height: 48px;
						border: 1px solid $primary;
						border-radius: 50%;
						@include respond-below(md) {
							max-width: 35px;
							max-height: 35px;
						}
					}
				}
			}
			.tags {
				display: flex;
				flex-wrap: wrap;

				span {
					font-size: 12.5px;
					border-radius: 50px;
					background: linear-gradient(45deg, #5384ce, #72aaff);
					display: inline-block;
					margin-right: 5px;
					color: #fff;
					padding: 4px 4px;
					margin-top: 4px;
				}
			}
			.status {
				padding: 4px 10px;
				border-radius: 4px;
				&.answered {
					color: $green;
					background: lighten($color: $green, $amount: 30);
				}
				&.unanswered {
					color: $red;
					background: lighten($color: $red, $amount: 30);
				}
			}
			.date {
				display: inline-block;
				font-size: 14px;
				text-align: center;
			}
			.actions {
				a {
					width: 37px;
					height: 37px;
					display: flex;
					align-items: center;
					justify-content: center;
					box-shadow: 0 3px 15px rgba($color: #000000, $alpha: 0.1);
					border-radius: 50%;
					margin-left: 10px;

					img {
						width: 15px;
						height: auto;
					}

					&.video {
						background: $green;
						&.disabled {
							background: $lightGray;
							cursor: no-drop;
						}
					}

					&:hover {
						transform: translateY(-3px);
					}
				}
			}
		}
		.accordion-body {
			.data {
				font-size: 14px;
				ul {
					li {
						float: left;
						margin-top: 10px;
						&:not(:last-child) {
							width: 50%;
							@include respond-below(md) {
								width: 100%;
							}
						}
					}
				}
				.answered {
					color: $green;
				}
				.unanswered {
					color: $red;
				}
			}
		}
	}
	.upload__profile {
		input {
			display: none;
		}
		label {
			min-height: 260px;
			padding: 30px 15px;
			border: 1px dashed #ddd;
			display: flex;
			flex-direction: column;
			align-items: center;
			justify-content: center;
			border-radius: 12px;
			.img {
				color: $secondary;
				svg {
					width: 64px;
					height: 64px;
					transform: rotate(15deg);
					transform-origin: center;
					path {
						fill: $lightGray;
					}
				}
			}
			.profile__img {
				img {
					max-width: 180px;
					max-height: 180px;
					border-radius: 6px;
				}
			}
		}
	}
	.pinboard__search {
		position: relative;
		.form-control {
			border-color: $bodyBg;
			&:focus {
				box-shadow: 0 0 10px rgba($color: #000000, $alpha: 0.1);
			}
		}
		.btn__custom:not(.btn__action) {
			padding: 10px 14px;
			border-radius: 6px;
			position: absolute;
			top: 5px;
			right: 5px;
		}
		.filter__group {
			padding: 8px;
			border-radius: 6px;
			font-size: 14px;
			background: $bodyBg;
			@include respond-below(md) {
				width: 100%;
				justify-content: center;
				font-size: 12px;
				padding: 5px;
			}
			.actions {
				& > .btn__custom {
					padding: 10px 15px;
					font-size: 14px;
					border-radius: 6px;
					color: $secondary;
					background: $lightGray;
					@include respond-below(md) {
						font-size: 12px;
						padding: 5px 10px;
					}
					&:not(:last-child) {
						margin-right: 10px;
					}
					&:hover,
					&.active {
						background: $primary;
						color: #fff;
					}
				}
			}
		}
	}
	.cards__profile {
		.col-md-4 {
			margin-bottom: 60px;
			&:nth-last-child(1) {
				margin-bottom: 0;
			}
			@include respond-above(sm) {
				&:nth-last-child(1),
				&:nth-last-child(2),
				&:nth-last-child(3) {
					margin-bottom: 0;
				}
			}
		}
		.card__item {
			background: $bodyBg;
			border-radius: 10px;
			border: 1px solid #ddd;
			color: $secondary;
			padding: 0 25px 25px;
			height: 100%;
			.status {
				position: absolute;
				left: 10px;
				top: 10px;
				border-radius: 4px;
				font-size: 14px;
				padding: 4px 10px;
				color: #fff;
				@include respond-below(md) {
					font-size: 12px;
				}
				&.online {
					background: $green;
				}
				&.offline {
					background: $lightGray;
				}
			}
			.img {
				margin-top: -40px;
				img {
					max-width: 84px;
					max-height: 84px;
					border-radius: 50%;
					border: 2px solid $primary;
				}
			}
			.name {
				font-size: 18px;
				@include respond-below(md) {
					font-size: 16px;
				}
			}
			.price,
			.about {
				&.about {
					@include lineNum(3);
				}
				@include respond-below(md) {
					font-size: 14px;
				}
			}
			.tags {
				display: flex;
				flex-wrap: wrap;

				span {
					font-size: 12.5px;
					border-radius: 50px;
					background: linear-gradient(45deg, #5384ce, #72aaff);
					display: inline-block;
					margin-right: 5px;
					color: #fff;
					padding: 2px 4px;
					margin-top: 4px;
				}
			}
			&:hover {
				border-color: $primary;
				box-shadow: 0 0 10px rgba($color: #000000, $alpha: 0.1);
				transform: translateY(-1px);
			}
		}
	}
	.gallery {
		.photo__item {
			img {
				max-width: 116px;
				max-height: 116px;
				border-radius: 6px;
			}
		}
	}
	.profile__cyber {
		.bg {
			min-height: 126px;
			background-size: cover;
			background-position: center center;
			background-image: url(../images/profile-bg.png);
			background-color: $primary;
			border-radius: 12px;
			padding: 15px;
		}
		.data {
			margin-top: -90px;
			.actions__social {
				position: absolute;
				right: 33px;
				top: -18px;
				.actions {
					a {
						width: 43px;
						height: 43px;
						display: flex;
						align-items: center;
						justify-content: center;
						box-shadow: 0 3px 15px rgba($color: #000000, $alpha: 0.1);
						border-radius: 50%;
						margin-left: 10px;
						@include respond-below(md) {
							width: 36px;
							height: 36px;
						}
						img {
							width: 18px;
							height: auto;
							@include respond-below(md) {
								width: 15px;
							}
						}

						&.email {
							background: $orange;
						}

						&.video {
							background: $green;
							&.disabled {
								background: $lightGray;
								cursor: no-drop;
							}
						}

						&:hover {
							transform: translateY(-3px);
						}
					}
				}
				.social {
					a {
						font-size: 20px;
						color: $secondary;
						&:not(:last-child) {
							margin-right: 15px;
						}
						&:hover {
							color: $primary;
						}
					}
				}
			}
			.profile {
				.img {
					img {
						max-width: 115px;
						max-height: 115px;
						border-radius: 50%;
						border: 2px solid $primary;
						@include respond-below(md) {
							max-width: 85px;
							max-height: 85px;
						}
					}
				}
			}
			.name__status {
				.name {
					font-size: 22px;
					@include respond-below(md) {
						font-size: 16px;
					}
				}
				.status {
					border-radius: 4px;
					font-size: 14px;
					padding: 4px 10px;
					color: #fff;
					@include respond-below(md) {
						font-size: 12px;
					}
					&.online {
						background: $green;
					}
					&.offline {
						background: $lightGray;
					}
				}
			}
			.price {
				font-size: 14px;
				span {
					font-size: 20px;
					@include respond-below(md) {
						font-size: 16px;
					}
				}
			}
			.about {
				@include respond-below(md) {
					font-size: 14px;
				}
			}
			.location__languages {
				@include respond-below(md) {
					font-size: 14px;
				}
				a {
					color: $secondary;
				}
				img {
					@include respond-below(md) {
						width: 16px;
						height: 16px;
					}
				}
			}
			.pin__button {
				top: 90px;
				position: relative;
				@include respond-below(md) {
					top: initial;
					margin-top: 30px;
				}
				&.pinned {
					img {
						transform: rotate(45deg);
					}
				}
			}
		}
	}
	.hobbies {
		.col-md-6 {
			@include respond-above(sm) {
				&:nth-last-child(1),
				&:nth-last-child(2) {
					margin-bottom: 0 !important;
				}
			}
		}
		.tags__name {
			.name {
				font-size: 18px;
				@include respond-below(md) {
					font-size: 14px;
				}
				.price {
					font-size: 18px;
					@include respond-below(md) {
						font-size: 16px;
					}
				}
			}
			.tags {
				display: flex;
				flex-wrap: wrap;

				span {
					border-radius: 6px;
					background: $primaryGradient;
					display: inline-block;
					margin-right: 10px;
					color: #fff;
					padding: 4px 6px;
					margin-top: 10px;
					@include respond-below(md) {
						font-size: 12px;
					}
				}
			}
		}
	}
	.online__users,
	.followers {
		background: $greenGradient;
		color: #fff;
		border-radius: 12px;
		box-shadow: 0 0 10px rgba($color: #000000, $alpha: 0.1);
		.num {
			font-size: 25px;
		}
		&.followers {
			background: linear-gradient(45deg, #5384ce, #72aaff);
		}
	}
	.public__page {
		@include respond-below(md) {
			font-size: 14px;
		}
		.link__profile {
			background: $green;
			border-radius: 6px;
			font-size: 14px;
		}
		.btn__copy {
			background: #fff;
			color: $green;
			@include respond-below(md) {
				width: 100%;
			}
			svg {
				width: 22px;
				height: auto;
				path {
					fill: $green;
				}
			}
		}
		.profile__url {
			border-radius: 6px;
			overflow: hidden;
			box-shadow: 0 0 10px rgba($color: #000000, $alpha: 0.1);
			background: $bodyBg;
			.accordion__button {
				text-align: left;
				border: none;
				color: $secondary;
				display: flex;
				justify-content: space-between;
				align-items: center;
				background: $bodyBg;
				&::after {
					content: "\f107";
					font-family: "Font Awesome 5 Free";
					font-weight: 900;
					width: 29px;
					height: 29px;
					display: flex;
					align-items: center;
					justify-content: center;
					background: #fff;
					color: $secondary;
					font-size: 18px;
					box-shadow: 0 0 10px rgba($color: #000000, $alpha: 0.1);
					border-radius: 50%;
					transition: 0.3s all ease-in-out;
					transform-origin: center;
				}
				&[aria-expanded="true"] {
					&::after {
						transform: rotate(180deg);
					}
				}
			}
			.form-control {
				max-width: 300px;
				background: #fff;
				padding: 8px 15px;
			}
			.note {
				background: #c1c1c9;
				font-size: 14px;
			}
		}
		.searchable {
			border-radius: 6px;
			background: $bodyBg;
			box-shadow: 0 0 10px rgba($color: #000000, $alpha: 0.1);
			form {
				@include respond-below(md) {
					width: 100%;
				}
			}
			.form-control {
				max-width: 104px;
				padding: 8px 15px;
				background-position-x: 94% !important;
				background-position-y: 18px !important;
				background-color: #fff;
				@include respond-below(md) {
					width: 100%;
				}
			}
		}
		.profile__colors {
			border-radius: 6px;
			overflow: hidden;
			box-shadow: 0 0 10px rgba($color: #000000, $alpha: 0.1);
			background: $bodyBg;
			.accordion__button {
				text-align: left;
				border: none;
				color: $secondary;
				display: flex;
				justify-content: space-between;
				align-items: center;
				background: $bodyBg;
				&::after {
					content: "\f107";
					font-family: "Font Awesome 5 Free";
					font-weight: 900;
					width: 29px;
					height: 29px;
					min-width: 29px;
					min-height: 29px;
					display: flex;
					align-items: center;
					justify-content: center;
					background: #fff;
					color: $secondary;
					font-size: 18px;
					box-shadow: 0 0 10px rgba($color: #000000, $alpha: 0.1);
					border-radius: 50%;
					transition: 0.3s all ease-in-out;
					transform-origin: center;
				}
				&[aria-expanded="true"] {
					&::after {
						transform: rotate(180deg);
					}
				}
			}
			.form-check {
				.form-check-input {
					background-color: #fff;
					border-color: #c1c1c9;
					cursor: pointer;
					&:checked[type="radio"] {
						background-image: url(../images/icons/radio-checked.svg);
						background-size: 8px;
						background-color: #fff;
						border-color: $primary;
					}
					&:focus {
						box-shadow: none;
					}
				}
				label {
					cursor: pointer;
				}
			}
			li {
				&:not(:last-child) {
					margin-bottom: 10px;
				}
			}
			.box__color {
				width: 62px;
				height: 27px;
				border-radius: 6px;
				overflow: hidden;
				.color__item {
					width: 50%;
					height: 100%;
				}
				input[type="color"] {
					padding: 0;
					border: none;
					border-color: transparent;
					cursor: pointer;
					&::-webkit-color-swatch {
						border: none;
					}
				}
			}
		}
	}
	.hobbies__list,
	.languages__list {
		background: $bodyBg;
		border-radius: 6px;
		border: 1px solid #ddd;
		.hobby__item,
		.language__item {
			position: relative;
			background: #fff;
			border-radius: 6px;
			padding: 10px 15px;
			@include respond-below(md) {
				font-size: 14px;
				padding: 5px 10px;
			}
			&:not(:last-child) {
				margin-bottom: 10px;
			}
			.form-control {
				padding: 10px 15px;
				width: 120px;
			}
			select {
				&.form-control {
					background-position-x: 92% !important;
					background-position-y: 20px !important;
				}
			}
			.status {
				@include respond-below(md) {
					margin-top: 20px;
					width: 100%;
					select {
						&.form-control {
							width: 100%;
						}
					}
				}
			}
			.price {
				@include respond-below(md) {
					margin-top: 10px;
					width: 100%;
					.form-control {
						width: 100%;
					}
				}
			}
			.btn__delete {
				@include respond-below(md) {
					position: absolute;
					top: 10px;
					right: 10px;
				}
			}
		}
		.hobby__selection,
		.language__selection {
			@include respond-below(md) {
				width: 100%;
			}
		}
		.name {
			font-size: 16px;
		}
	}
	.calls__tab {
		.nav-item {
			&:first-child {
				margin-right: 15px;
			}
			&:last-child {
				margin-left: 15px;
			}
			.nav-link {
				padding: 15px 20px;
				border-radius: 6px;
				border: 1px solid #ddd;
				color: $secondary;
				background: #fff;
				@include respond-below(md) {
					padding: 5px 10px;
				}
				svg {
					width: 22px;
					height: auto;
					path {
						fill: $secondary;
					}
				}
				&:hover:not(.active) {
					color: $primary;
					border-color: $primary;
					svg {
						path {
							fill: $primary;
						}
						rect {
							fill: $primary;
							stroke: #fff;
						}
					}
				}
				&.online {
					svg {
						width: 18px;
					}
				}
				&.active {
					&.online {
						background: $green;
						border-color: $green;
						color: #fff;
						svg {
							path {
								fill: #fff;
							}
						}
					}
					&.offline {
						background: $red;
						border-color: $red;
						color: #fff;
						svg {
							path {
								fill: #fff;
							}
							rect {
								fill: #fff;
								stroke: $red;
							}
						}
					}
				}
			}
		}
		.actions {
			@include respond-below(md) {
				font-size: 14px;
				justify-content: center;
				margin-top: 10px;
			}
			.btn__custom {
				border-radius: 50%;
				width: 45px;
				height: 45px;
				display: flex;
				align-items: center;
				justify-content: center;
				padding: 0;
				margin: 0;
				box-shadow: 0 3px 10px rgba($color: #000000, $alpha: 0.1);
				svg {
					width: 18px;
					path {
						fill: $secondary;
					}
				}
				&.btn__settings {
					background: $bodyBg;
					border: 1px solid #ddd;
					&:hover {
						background: $primary;
						border-color: #fff;
						svg {
							path {
								fill: #fff;
							}
						}
					}
				}
				&.btn__volume {
					background: $green;
					border: 1px solid $green;
					svg {
						path {
							fill: #fff;
						}
					}
					&.mute {
						background: #c1c1c9;
						border: #c1c1c9;
						svg {
							path {
								&:not(:first-child) {
									display: none;
								}
							}
						}
					}
				}
				&.btn__play,
				&.btn__bookmark {
					background: $bodyBg;
					border: 1px solid #ddd;
					svg {
						path {
							fill: $secondary;
						}
					}
					&.btn__play {
						position: relative;
						display: inline-block;
						svg {
							position: absolute;
							top: 50%;
							left: 50%;
							transform: translate(-50%, -50%);
							&.icon__pause {
								opacity: 0;
							}
						}
					}
					&.active {
						background: $green;
						border: $green;
						svg {
							path {
								fill: #fff;
							}
						}
					}
					&:hover:not(.active) {
						background: $primary;
						border-color: #fff;
						svg {
							path {
								fill: #fff;
							}
						}
					}
				}
			}
		}
		select {
			&.form-control {
				padding: 10px 10px;
				background-position-y: 20px !important;
			}
		}
	}
	.incoming__calls {
		@include respond-below(md) {
			font-size: 14px;
		}
		.incoming__list {
			.incoming__item {
				background: #fff;
				border: 1px solid #ddd;
				border-radius: 6px;
				margin-bottom: 15px;
				box-shadow: 0 0 15px rgba($color: #000000, $alpha: 0.1);
				.profile {
					.name__price__tags {
						.tags {
							display: flex;
							flex-wrap: wrap;
							span {
								font-size: 12.5px;
								border-radius: 50px;
								background: linear-gradient(45deg, #5384ce, #72aaff);
								display: inline-block;
								margin-right: 5px;
								color: #fff;
								padding: 2px 4px;
								margin-top: 4px;
							}
						}
					}
					.img {
						img {
							max-width: 52px;
							max-height: 52px;
							border-radius: 50%;
							border: 1px solid $primary;
						}
					}
				}
				.actions {
					.btn__custom {
						width: 40px;
						height: 40px;
						border-radius: 50%;
						padding: 0;
						display: flex;
						align-items: center;
						justify-content: center;
						svg {
							width: 18px;
							height: auto;
							path {
								fill: #fff;
								stroke: transparent;
							}
						}
						&.btn__delcine {
							background: $red;
							svg {
								transform: rotate(136deg);
								path {
									stroke: #fff;
								}
							}
						}
						&.btn__answer {
							background: $green;
							animation: pulse 2s infinite;
						}
					}
				}
			}
		}
	}
	&.money__page {
		.available__balance {
			& > div {
				min-height: 130px;
			}
		}
		.card {
			.title {
				font-size: 16px;
				font-weight: normal;
			}
		}
		.accordion-item {
			.accordion-button {
				align-items: center;
				font-size: 18px;
				font-weight: 600;
				@include respond-below(md) {
					font-size: 16px;
				}
			}
		}
		.nav-item {
			&:first-child {
				margin-right: 15px;
			}
			&:last-child {
				margin-left: 15px;
			}
			.nav-link {
				padding: 10px 20px;
				border-radius: 6px;
				border: 1px solid #ddd;
				color: $secondary;
				background: $bodyBg;
				min-width: 180px;
				text-align: center;
				@include respond-below(md) {
					padding: 5px 10px;
					min-width: auto;
				}
				&:hover {
					color: $primary;
					border-color: $primary;
				}
				&.active {
					background: $primary;
					color: #fff;
				}
			}
		}
	}
	.switch__list {
		counter-reset: my-awesome-counter;
		li {
			position: relative;
			padding-left: 18px;
			&:not(:last-child) {
				margin-bottom: 15px;
			}
			&::before {
				position: absolute;
				content: "";
				top: 8px;
				left: 0;
				width: 8px;
				height: 8px;
				display: flex;
				align-items: center;
				justify-content: center;
				border-radius: 50px;
				background: $primaryGradient;
				color: #fff;
			}
		}
	}
}

@-webkit-keyframes pulse {
	0% {
		-webkit-box-shadow: 0 0 0 0 rgba($green, 0.4);
	}
	70% {
		-webkit-box-shadow: 0 0 0 10px rgba($green, 0);
	}
	100% {
		-webkit-box-shadow: 0 0 0 0 rgba($green, 0);
	}
}
@keyframes pulse {
	0% {
		-moz-box-shadow: 0 0 0 0 rgba($green, 0.4);
		box-shadow: 0 0 0 0 rgba($green, 0.4);
	}
	70% {
		-moz-box-shadow: 0 0 0 10px rgba($green, 0);
		box-shadow: 0 0 0 10px rgba($green, 0);
	}
	100% {
		-moz-box-shadow: 0 0 0 0 rgba($green, 0);
		box-shadow: 0 0 0 0 rgba($green, 0);
	}
}
.bootstrap-tagsinput {
	margin-top: 10px;
	padding: 10px 15px;
	border: none;
	display: flex;
	align-items: center;
	flex-wrap: wrap;
	width: 100%;
	background: $bodyBg;
	border: 1px solid #ddd;
	border-radius: 6px;
	&:focus {
		border: 1px solid $primary;
	}
	.tag {
		font-size: 14px;
		background: $primaryGradient;
		padding: 4px 6px;
		border-radius: 4px;
		display: inline-block;
		margin-right: 10px;
	}
	input {
		color: $secondary;
	}
}
.alert {
	border-radius: 4px;
	padding: 4px 8px;
	border: none;
	@include respond-below(md) {
		font-size: 14px;
	}
	&.alert__sm {
		font-size: 12px;
	}
	@include respond-below(md) {
		width: 100%;
	}
	&.alert-danger {
		background: lighten($color: $red, $amount: 28);
		color: red;
	}
}
.modal-dialog {
	max-width: 661px;
	border-radius: 25px;
	.modal-content {
		border-radius: 25px;
		margin-top: 12rem;
		padding: 30px;
		.btn-close {
			width: 40px;
			height: 40px;
			border-radius: 50%;
			background: #fff url("../images/icons/close.svg") center/1.2em auto no-repeat;
			position: absolute;
			top: -90px;
			left: 50%;
			transform: translate(-50%, 0);
			opacity: 1;
			&:focus {
				box-shadow: none;
			}
		}
		.profile {
			.img {
				img {
					max-width: 83px;
					max-height: 83px;
					height: 100%;
					width: 100%;
					border: 2px solid $primary;
					border-radius: 50%;
					@include respond-below(md) {
						max-width: 50px;
						max-height: 50px;
					}
				}
			}

			.name__price {
				.name {
					font-size: 18px;
				}
			}
		}
		.actions {
			a {
				width: 43px;
				height: 43px;
				display: flex;
				align-items: center;
				justify-content: center;
				box-shadow: 0 3px 15px rgba($color: #000000, $alpha: 0.1);
				border-radius: 50%;
				margin-left: 10px;

				img {
					width: 18px;
					height: auto;
				}

				&.email {
					background: $orange;
				}

				&.video {
					background: $green;
					&.disabled {
						background: $lightGray;
						cursor: no-drop;
					}
				}

				&:hover {
					transform: translateY(-3px);
				}
			}
		}
		.tags {
			display: flex;
			flex-wrap: wrap;

			span {
				font-size: 12.5px;
				border-radius: 50px;
				background: linear-gradient(45deg, #5384ce, #72aaff);
				display: inline-block;
				margin-right: 5px;
				color: #fff;
				padding: 2px 4px;
				margin-top: 4px;
			}
		}
		.data {
			font-size: 14px;
			ul {
				li {
					float: left;
					margin-top: 10px;
					&:not(:last-child) {
						width: 50%;
						@include respond-below(md) {
							width: 100%;
						}
					}
				}
			}
			.answered {
				color: $green;
			}
			.unanswered {
				color: $red;
			}
		}
	}
}

.fw-500 {
	font-weight: 500 !important;
}
.sm-text {
	font-size: 14px !important;
}
.star-rating {
	font-size: 0;
}
.star-rating__wrap {
	display: inline-block;
	font-size: 1rem;
}
.star-rating__wrap:after {
	content: "";
	display: table;
	clear: both;
}
.star-rating__ico {
	float: right;
	padding-left: 2px;
	cursor: pointer;
	color: #ffb300;
	line-height: 8px;
}
.star-rating__ico:last-child {
	padding-left: 0;
}
.star-rating__input {
	display: none;
}
.star-rating__ico:not(.disabled):hover:before,
.star-rating__ico:not(.disabled):hover ~ .star-rating__ico:before,
.star-rating__input:checked ~ .star-rating__ico:before,
.star-rating__input.selected ~ .star-rating__ico:before {
	content: "\f005";
}

.modal-backdrop {
	&.show {
		opacity: 0.85;
	}
}

.popover {
	.popover-body {
		color: $secondary;
		padding: 0.5rem;
	}
	&[data-popper-placement^="right"] {
		.popover-arrow {
			&::after,
			&::before {
				top: -4px;
			}
		}
	}
}

.questionmark__icon {
	cursor: pointer;
	width: 18px;
	margin-right: 10px;
	height: auto;
}
.waiting__calls {
	$dot-count: 26;
	$dot-size: 10px;
	$dot-space: 15px;
	$dot-start: (($dot-count / 2 + 1) * ($dot-size + $dot-space)) / 2;

	$animation-time: 2s;
	$animation-distance: 25px;

	.loader {
		position: relative;
		transform-origin: center center;
		transform: scale(0.5);
		.dot {
			animation-name: movement;
			animation-duration: $animation-time;
			animation-iteration-count: infinite;
			animation-timing-function: ease-in-out;
			height: $dot-size;
			position: absolute;
			top: -#{$dot-size};
			transform: translate3d(0, -#{$animation-distance}, 0) scale(1);
			width: $dot-size;

			@for $i from 1 through $dot-count {
				$dot-move: ceil($i / 2);
				$dot-pos: $dot-start - (($dot-size + $dot-space) * $dot-move);

				$animation-delay: -#{$i * 0.1}s;
				@if $i % 2 == 0 {
					$animation-delay: -#{($i * 0.1) + ($animation-time / 2)};
				}

				&:nth-of-type(#{$i}) {
					animation-delay: $animation-delay;
					left: $dot-pos;

					&::before {
						animation-delay: $animation-delay;
					}
				}
			}

			&::before {
				animation-name: size-opacity;
				animation-duration: $animation-time;
				animation-iteration-count: infinite;
				animation-timing-function: ease;
				background: $secondary;
				border-radius: 50%;
				content: "";
				display: block;
				height: 100%;
				width: 100%;
			}

			&:nth-of-type(even)::before {
				background-color: $primary;
				box-shadow: inset 0 0 4px darken($primary, 10%);
			}
		}
	}

	@keyframes movement {
		0% {
			transform: translate3d(0, -#{$animation-distance}, 0);
			z-index: 0;
		}
		50% {
			transform: translate3d(0, #{$animation-distance}, 0);
			z-index: 10;
		}
		100% {
			transform: translate3d(0, -#{$animation-distance}, 0);
			z-index: -5;
		}
	}

	@keyframes size-opacity {
		0% {
			opacity: 1;
			transform: scale(1);
		}
		25% {
			transform: scale(1.5);
		}
		50% {
			opacity: 1;
		}
		75% {
			opacity: 0.35;
			transform: scale(0.5);
		}
		100% {
			opacity: 1;
			transform: scale(1);
		}
	}
}
